Skip to main content
`Ctrl`+`K`

# PetscSNPrintf

Prints to a string of given length

## Synopsis

    PetscErrorCode PetscSNPrintf(char *str, size_t len, const char format[], ...)

Not Collective

## Input Parameters

- len - the length of `str`

- format - the usual `printf()` format string

## Output Parameter

- str - the resulting string

## See Also

`PetscSynchronizedFlush()`, `PetscSynchronizedFPrintf()`, `PetscFPrintf()`, `PetscVSNPrintf()`, `PetscPrintf()`, `PetscViewerASCIIPrintf()`, `PetscViewerASCIISynchronizedPrintf()`, `PetscVFPrintf()`, `PetscFFlush()`

## Level

intermediate

## Location

src/sys/fileio/mprint.c

## Examples

src/dm/impls/plex/tutorials/ex10.c
src/ksp/ksp/tutorials/ex42.c
src/dm/impls/stag/tutorials/ex6.c
src/ksp/ksp/tutorials/ex43.c
src/ksp/ksp/tutorials/ex49.c
src/dm/tutorials/swarm_ex1.c
src/ksp/ksp/tutorials/ex75.c
src/dm/impls/plex/tutorials/ex8.c
src/dm/tutorials/swarm_ex3.c
src/dm/tutorials/ex21.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages